Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044157
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-05-22 11:542020-06-01 14:03
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR20Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044157: Label translations in POS Login page

Descriptionin the POS login page, the labels are translated to the client 0 language.

We propose using the client language associated with the terminal instead of the client 0 language

If the client language associated with the terminal is null then client 0 language should be used
Steps To Reproduce. multiclient environment
. login page
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0120201)
hgbot (developer)
2020-05-25 03:13

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8bed61464ba535201ed12d199bd0b0a35c538af9
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon May 25 06:43:26 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8bed61464ba535201ed12d199bd0b0a35c538af9 [^]

Related to issue-44157 : Labels should be loaded based on Terminal Client Language

---
M src/org/openbravo/retail/posterminal/LoginUtilsServlet.java
---
(0120202)
hgbot (developer)
2020-05-25 03:13

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: c2ed8ef9e074a66aba101a6070f059ca678c8589
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon May 25 06:43:36 2020 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/c2ed8ef9e074a66aba101a6070f059ca678c8589 [^]

Related to issue-44157 : Added method to get language in Login Servlet

* Labels should be loaded based on Terminal Client Language

---
M src/org/openbravo/mobile/core/login/MobileCoreLoginUtilsServlet.java
---

- Issue History
Date Modified Username Field Change
2020-05-22 11:54 malsasua New Issue
2020-05-22 11:54 malsasua Assigned To => Retail
2020-05-22 11:54 malsasua Triggers an Emergency Pack => No
2020-05-22 13:08 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-05-22 13:09 ranjith_qualiantech_com Status new => scheduled
2020-05-25 03:13 hgbot Checkin
2020-05-25 03:13 hgbot Note Added: 0120201
2020-05-25 03:13 hgbot Checkin
2020-05-25 03:13 hgbot Note Added: 0120202
2020-05-25 03:14 ranjith_qualiantech_com Status scheduled => resolved
2020-05-25 03:14 ranjith_qualiantech_com Resolution open => fixed
2020-06-01 14:03 marvintm Review Assigned To => marvintm
2020-06-01 14:03 marvintm Status resolved => closed
2020-06-01 14:03 marvintm Fixed in Version => RR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker